vos dump                   AFS Commands                vos dump


NAME

   vos dump -- convert volume into ASCII format and place in a

                       file.


   vos dump  -id <volume name or ID>  -time <dump from time>
   [-file <dump file>]  [-cell <cell name>]  [-noauth]
   [-localauth]
   [-verbose]  [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos du  -i <volume name or ID>  -t <dump from time>  [-f
   <dump file>]
   [-c <cell name>]  [-n]  [-l]  [-v]  [-h]

DESCRIPTION

   Converts the contents of the indicated volume, which may  be
   of  any  type,  into ASCII format.  If the -file argument is
   provided, the converted volume contents are  placed  in  it.
   If  the  argument is not provided, the contents are directed
   to standard output (stdout), from which the issuer may  pipe
   them elsewhere if desired.

   It  is  possible  to  dump either the entire volume, or only
   those files in it  modified  since  a  specified  time  (the
   latter   is   referred  to  as  a  "incremental"  dump),  by
   specifying the proper value for -time.

   Dumping does not affect any status  or  site  flags  in  the
   volume  header  or  VLDB.  It does, however, make the volume
   inaccessible during the duration of the dump.

ARGUMENTS

   -id             specifies  either  the  complete   name   or
                   volumeID  number of the volume, which may be
                   ReadWrite, ReadOnly or Backup.

   -time           determines  whether  the  dump  is  full  or
                   incremental,  and  in  the latter case, from
                   what date the dump is done.  There are three
                   types of legal values:

                 - 0 creates a full dump.

                 - mm/dd/yy  specifies  12:00  a.m. on the
                   indicated  date  (month/day/year)   and
                   creates  an  incremental dump including
                   only elements  with  modification  time
                   stamps  later than this date.  Examples
                   : 1/23/90, 10/7/89.

                 - "mm/dd/yy  hh:mm"  specifies   a   time
                   "hour:minutes"  on  the  indicated date
                   (month/day/year)   and    creates    an
                   incremental    dump    including   only
                   elements with modification time  stamps



                   later  than this time.  The time should
                   be  in  24-hour  format  (for  example,
                   20:30  is  8:30  p.m.)    Surround  the
                   entire instance with quotes because  it
                   contains  a space.  Examples : "1/23/90
                   22:30", "10/7/89 3:45".

   -file           directs the dump into  the  indicated  file,
                   which  is  created  in  the  current working
                   directory if no full or relative pathname is
                   provided.    If  the issuer does not provide
                   this  argument,  the  dump  is  directed  to
                   standard output (stdout).

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  trace  their  execution  of the command.
                   See section 8.3 in the Reference Manual  for
                   more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

EXAMPLES

   The  following executes a full dump of the volume user.terry
   into the file  /afs/transarc.com/common/dumps/terry.dump  in
   the current working directory.

   % vos dump user.terry 0 terry.dump

   The  following  executes  an  incremental dump of the volume
   user.smith into the file smith.900131.dump  in  the  current
   working  directory.    Only  those  files in the volume with
   modification time stamps later than 6:00 p.m. on 31 February
   1990 are included in the dump.

   % vos dump user.smith "1/31/90 18:00" smith.090131.dump

PRIVILEGE REQUIRED

   Issuer  must  be listed in /usr/afs/etc/UserList on -server,
   and must have WRITE access in the directory where  the  dump
   file is to reside.

MORE INFORMATION

   vos restore
